<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionVideosBlockCreateVideosBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'title'  => [
            'en'   => [
                'name' => 'Title',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'embed'  => [
            'en'   => [
                'name' => 'Embed Code',
            ],
            'type' => 'anomaly.field_type.editor',
        ],
        'videos' => [
            'en'     => [
                'name' => 'Videos',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'add_row' => 'Add Video',
                'related' => 'videos_block.videos',
            ],
        ],
    ];

}
